'use strict'

const path = require('path')

const PROTO_PATH = path.join(__dirname, 'helloworld.proto')

const grpc = require('grpc');
const hello_proto = grpc.load(PROTO_PATH).helloworld

function main() {
  const client = new hello_proto.Greeter('localhost:50051', grpc.credentials.createInsecure())
  client.sayHello({name: 'world'}, function(err, response) {
    if (err) {
      console.error(err)
    } else {
      console.log(response)
    }
  })
}

main()
