const path = require('path')
const PROTO_PATH = path.join(__dirname, 'helloworld.proto')

const grpc = require('grpc')
const hello_proto = grpc.load(PROTO_PATH).helloworld

function sayHello(call, callback) {
  throw Error('foo')
  callback({
    code: grpc.status.NOT_FOUND,
    details: '你好啊世界'
  })
}

function main() {
  const server = new grpc.Server()
  server.addProtoService(hello_proto.Greeter.service, {sayHello: sayHello})
  server.bind('0.0.0.0:50051', grpc.ServerCredentials.createInsecure())
  server.start()
}

main()
